> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/cin-basic-verification.md).

# CIN Basic Verification

This API authenticates Company, LLP, FCRN, and Foreign LLP Identification Numbers issued by the Ministry of Corporate Affairs (MCA), ensuring secure validation of entity credentials.

#### Submit Document

## cin\_basic

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/merchant/cin_basic`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>cin_number </td><td>String </td><td>Yes </td><td>Company CIN Number</td></tr><tr><td>consent</td><td>String</td><td>Yes</td><td>Consent is required to make the API<br>request. <br>Value Must Be "Y"</td></tr><tr><td>active_complaiance</td><td>String</td><td>Yes</td><td>If this is true, it will return active<br>compliance details<br>Value Must Be yes/no</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "cin_number": "U72900JK2019PTC010815",
    "consent": "Y",
    "active_compliance": "yes"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "60e76d20-a398-4b6e-983f-49927c22d76c",
    "status": "completed",
    "result": {
        "cin_number": "U72900JK2019PTC010815",
        "company_Name": "ZEROTHWARE TECHNOLOGIES PRIVATE LIMITED",
        "roc_code": "ROC Jammu",
        "registration_number": "010815",
        "Company_Category": "Company limited by shares",
        "Company_SubCategory": "Non-government company",
        "Class_of_Company": "Private",
        "authorised_capital": "1000000",
        "paid_up_capital": "100000",
        "number_of_members": "",
        "Date_of_Incorporation": "31/01/2019",
        "alternative_address": null,
        "email_id": "Zerothware@gmail.com",
        "active_compliance": "",
        "suspended_at_stock_exchange": "",
        "date_of_last_agm": "30/09/2025",
        "date_of_balance_sheet": "31/03/2025",
        "company_status": "Active"
    },
    "requested_at": "2026-02-11T06:04:49.161Z",
    "completed_at": "2026-02-11T06:04:57.565Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "60e76d20-a398-4b6e-983f-49927c22d76c",
    "status": "in_progress",
    "requested_at": "2026-02-11T06:04:49.161Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "CIN Number should not be empty",
        "field": "cin_number",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "consent should not be empty!",
        "field": "consent",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "consent must be 'Y'",
        "field": "consent",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Active Compliance  must be true/false",
        "field": "active_compliance",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-02-11T06:04:49.161Z",
    "completed_at": "2026-02-11T06:04:57.565Z"
}
```

{% endtab %}
{% endtabs %}

## Get details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/merchant/cin_basic`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "60e76d20-a398-4b6e-983f-49927c22d76c",
    "status": "completed",
    "result": {
        "cin_number": "U72900JK2019PTC010815",
        "company_Name": "ZEROTHWARE TECHNOLOGIES PRIVATE LIMITED",
        "roc_code": "ROC Jammu",
        "registration_number": "010815",
        "Company_Category": "Company limited by shares",
        "Company_SubCategory": "Non-government company",
        "Class_of_Company": "Private",
        "authorised_capital": "1000000",
        "paid_up_capital": "100000",
        "number_of_members": "",
        "Date_of_Incorporation": "31/01/2019",
        "alternative_address": null,
        "email_id": "Zerothware@gmail.com",
        "active_compliance": "",
        "suspended_at_stock_exchange": "",
        "date_of_last_agm": "30/09/2025",
        "date_of_balance_sheet": "31/03/2025",
        "company_status": "Active"
    },
    "requested_at": "2026-02-11T06:04:49.161Z",
    "completed_at": "2026-02-11T06:04:57.565Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "60e76d20-a398-4b6e-983f-49927c22d76c",
    "status": "in_progress",
    "requested_at": "2026-02-11T06:04:49.161Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-02-11T06:04:49.161Z",
    "completed_at": "2026-02-11T06:04:57.565Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/cin-basic-verification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
